BDU:2020-01756: Уязвимость программной платформы для разработки и управления веб-приложениями Symfony, связанная с одновременным выполнением и использованием общего ресурса с неправильной синхронизацией, позволяющая нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании

Описание уязвимости Уязвимость программной платформы для разработки и управления веб-приложениями Symfony связана с одновременным выполнением и использованием общего ресурса с неправильной синхронизацией. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании
Вендор ООО «РусБИТех-Астра», Сообщество свободного программного обеспечения, Fedora Project, SensioLabs, symfony community
Наименование ПО Astra Linux Special Edition (запись в едином реестре российских программ №369), Debian GNU/Linux, Fedora, Astra Linux Special Edition для «Эльбрус» (запись в едином реестре российских программ №11156), Symfony
Версия ПО
  • 1.6 «Смоленск» (Astra Linux Special Edition)
  • 8.0 (Debian GNU/Linux)
  • 9.0 (Debian GNU/Linux)
  • 30 (Fedora)
  • 31 (Fedora)
  • 8.1 «Ленинград» (Astra Linux Special Edition для «Эльбрус»)
  • от 2.8.0 до 2.8.50 включительно (Symfony)
  • от 3.4.0 до 3.4.34 включительно (Symfony)
  • от 4.2.0 до 4.2.11 включительно (Symfony)
  • от 4.3.0 до 4.3.7 включительно (Symfony)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Тип ошибки Одновременное выполнение с использованием общего ресурса с неправильной синхронизацией («Ситуация гонки»)
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 21.11.2019
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 9,3)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,1)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для Symfony:
Обновление программного обеспечения до 4.4.4-1 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета symfony) до 2.8.7+dfsg-1.3+deb9u3 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета symfony) до 2.8.7+dfsg-1.3+deb9u3 или более поздней версии

Для Fedora:
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/VXEAOEANNIVYANTMOJ42NKSU6BGNBULZ/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/UED22BOXTL2SSFMGYKA64ZFHGLLJG3EA/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/DZNXRVHDQBNZQUCNRVZICPPBFRAUWUJX/
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения